Merge "Moving the trustore to parent folder"
authorBorislav Glozman <Borislav.Glozman@amdocs.com>
Wed, 16 Jan 2019 21:20:03 +0000 (21:20 +0000)
committerGerrit Code Review <gerrit@onap.org>
Wed, 16 Jan 2019 21:20:03 +0000 (21:20 +0000)
27 files changed:
docs/oom_cloud_setup_guide.rst
docs/oom_setup_kubernetes_rancher.rst
docs/openstack-k8s-node.sh
docs/openstack-rancher.sh
kubernetes/aai/charts/aai-gizmo/resources/config/auth/client-cert.p12 [new file with mode: 0644]
kubernetes/aai/charts/aai-gizmo/resources/config/model/edge_properties_v15.json [new file with mode: 0644]
kubernetes/aai/charts/aai-gizmo/resources/config/schema-ingest.properties
kubernetes/aai/charts/aai-resources/templates/deployment.yaml
kubernetes/aai/charts/aai-spike/resources/config/auth/client-cert.p12 [new file with mode: 0644]
kubernetes/aai/charts/aai-spike/resources/config/model/edge_props/edge_properties_v15.json [new file with mode: 0644]
kubernetes/aai/charts/aai-spike/resources/config/schema-ingest.properties
kubernetes/aai/charts/aai-traversal/templates/deployment.yaml
kubernetes/pomba/charts/pomba-contextaggregator/resources/config/logback.xml [new file with mode: 0644]
kubernetes/pomba/charts/pomba-contextaggregator/templates/configmap.yaml
kubernetes/pomba/charts/pomba-contextaggregator/templates/deployment.yaml
kubernetes/pomba/charts/pomba-networkdiscovery/resources/config/application.properties
kubernetes/pomba/charts/pomba-sdcctxbuilder/resources/config/logback.xml [new file with mode: 0644]
kubernetes/pomba/charts/pomba-sdcctxbuilder/templates/configmap.yaml
kubernetes/pomba/charts/pomba-sdcctxbuilder/templates/deployment.yaml
kubernetes/pomba/charts/pomba-sdncctxbuilder/resources/config/logback.xml
kubernetes/pomba/charts/pomba-sdncctxbuilder/templates/deployment.yaml
kubernetes/pomba/charts/pomba-validation-service/resources/appconfig/rule-data-dictionary.properties [new file with mode: 0644]
kubernetes/pomba/charts/pomba-validation-service/resources/bundleconfig/etc/rules/poa-event/default-rules.groovy
kubernetes/pomba/charts/pomba-validation-service/templates/deployment.yaml
kubernetes/pomba/charts/pomba-validation-service/values.yaml
kubernetes/portal/charts/portal-mariadb/resources/config/mariadb/docker-entrypoint.sh [new file with mode: 0644]
kubernetes/portal/charts/portal-mariadb/templates/deployment.yaml

index 9fb3ab7..f43531a 100644 (file)
@@ -1,18 +1,18 @@
 .. This work is licensed under a Creative Commons Attribution 4.0
 .. International License.
 .. http://creativecommons.org/licenses/by/4.0
-.. Copyright 2018 Amdocs, Bell Canada
+.. Copyright 2019 Amdocs, Bell Canada
 
 .. Links
-.. _Microsoft Azure: https://wiki.onap.org/display/DW/ONAP+on+Kubernetes+on+Microsoft+Azure
-.. _Amazon AWS: https://wiki.onap.org/display/DW/ONAP+on+Kubernetes+on+Amazon+EC2
-.. _Google GCE: https://wiki.onap.org/display/DW/ONAP+on+Kubernetes+on+Google+Compute+Engine
+.. _Microsoft Azure: https://wiki.onap.org/display/DW/Cloud+Native+Deployment#CloudNativeDeployment-MicrosoftAzure
+.. _Amazon AWS: https://wiki.onap.org/display/DW/Cloud+Native+Deployment#CloudNativeDeployment-AmazonAWS
+.. _Google GCE: https://wiki.onap.org/display/DW/Cloud+Native+Deployment#CloudNativeDeployment-GoogleGCE
 .. _VMware VIO: https://wiki.onap.org/display/DW/ONAP+on+VMware+Integrated+OpenStack+-+Container+Orchestration
 .. _OpenStack: https://wiki.onap.org/display/DW/ONAP+on+Kubernetes+on+OpenStack?src=contextnavpagetreemode
-.. _Setting Up Kubernetes with Rancher: https://wiki.onap.org/display/DW/ONAP+on+Kubernetes+on+Rancher
+.. _Setting Up Kubernetes with Rancher: https://wiki.onap.org/display/DW/Cloud+Native+Deployment
 .. _Setting Up Kubernetes with Kubeadm: https://wiki.onap.org/display/DW/Deploying+Kubernetes+Cluster+with+kubeadm
-.. _Setting Up Kubernetes with Cloudify: https://wiki.onap.org/display/DW/ONAP+on+Kubernetes+on+Cloudify
-.. _ONAP on Kubernetes Wiki: https://wiki.onap.org/display/DW/ONAP+on+Kubernetes
+.. _Cloud Native Deployment Wiki: https://wiki.onap.org/display/DW/Cloud+Native+Deployment
+.. _ONAP Development - 110 pod limit Wiki: https://wiki.onap.org/display/DW/ONAP+Development#ONAPDevelopment-Changemax-podsfromdefault110podlimit
 
 .. figure:: oomLogoV2-medium.png
    :align: right
@@ -50,7 +50,7 @@ The versions of Kubernetes that are supported by OOM are as follows:
   ==============     ===========  =====  ========  ========
   amsterdam          1.7.x        2.3.x  1.7.x     1.12.x
   beijing            1.8.10       2.8.2  1.8.10    17.03.x
-  casablanca         1.11.2       2.9.1  1.11.2    17.03.x
+  casablanca         1.11.5       2.9.1  1.11.5    17.03.x
   ==============     ===========  =====  ========  ========
 
 Minimum Hardware Configuration
@@ -69,7 +69,9 @@ components that are needed will drastically reduce the requirements.
   =====  =====  ======  ====================
 
 .. note::
-  Kubernetes supports a maximum of 110 pods per node. The use of many small
+  Kubernetes supports a maximum of 110 pods per node - configurable in the --max-pods=n setting off the
+  "additional kubelet flags" box in the kubernetes template window described in 'ONAP Development - 110 pod limit Wiki'
+  - this limit does not need to be modified . The use of many small
   nodes is preferred over a few larger nodes (for example 14x16GB - 8 vCores each).
   Subsets of ONAP may still be deployed on a single node.
 
@@ -98,4 +100,4 @@ OOM can be deployed on a private set of physical hosts or VMs (or even a
 combination of the two). The following guide describe the recommended method to
 setup a Kubernetes cluster: :ref:`onap-on-kubernetes-with-rancher`.
 
-There are alternative deployment methods described on the `ONAP on Kubernetes Wiki`_
+There are alternative deployment methods described on the `Cloud Native Deployment Wiki`_
index fddccf8..35ab88e 100644 (file)
@@ -415,10 +415,6 @@ procedure would remain the same.
     - name: "SB4"
       user:
         token: "QmFzaWMgTlRBd01qZzBOemc)TkRrMk1UWkNOMFpDTlVFNlExcHdSa1JhVZreE5XSm1TRGhWU2t0Vk1sQjVhalZaY0dWaFVtZGFVMHQzWW1WWVJtVmpSQT09"
-    ~
-    ~
-    ~
-    - INSERT --
 
 5. Validate that kubectl is able to connect to the kubernetes cluster::
 
index b8462aa..308f220 100644 (file)
@@ -1,7 +1,7 @@
 #!/bin/bash
 
 DOCKER_VERSION=17.03
-KUBECTL_VERSION=1.11.2
+KUBECTL_VERSION=1.11.5
 HELM_VERSION=2.9.1
 
 # setup root access - default login: oom/oom - comment out to restrict access too ssh key only
index bcf542a..ac91ff5 100644 (file)
@@ -2,7 +2,7 @@
 
 DOCKER_VERSION=17.03
 RANCHER_VERSION=1.6.22
-KUBECTL_VERSION=1.11.2
+KUBECTL_VERSION=1.11.5
 HELM_VERSION=2.9.1
 
 # setup root access - default login: oom/oom - comment out to restrict access too ssh key only
diff --git a/kubernetes/aai/charts/aai-gizmo/resources/config/auth/client-cert.p12 b/kubernetes/aai/charts/aai-gizmo/resources/config/auth/client-cert.p12
new file mode 100644 (file)
index 0000000..dbf4fca
Binary files /dev/null and b/kubernetes/aai/charts/aai-gizmo/resources/config/auth/client-cert.p12 differ
diff --git a/kubernetes/aai/charts/aai-gizmo/resources/config/model/edge_properties_v15.json b/kubernetes/aai/charts/aai-gizmo/resources/config/model/edge_properties_v15.json
new file mode 100644 (file)
index 0000000..8d00636
--- /dev/null
@@ -0,0 +1,6 @@
+{
+        "contains-other-v": "java.lang.String",
+        "delete-other-v": "java.lang.String",
+        "SVC-INFRA": "java.lang.String",
+        "prevent-delete": "java.lang.String"
+}
\ No newline at end of file
index 39e08ed..647d4d9 100644 (file)
@@ -1,22 +1,45 @@
+###############################################################################
 # Schema Version Related Attributes
+###############################################################################
 schema.uri.base.path=/aai
 # Lists all of the versions in the schema
-schema.version.list=v9,v10,v11,v12,v13,v14
+schema.version.list=v10,v11,v12,v13,v14,v15
 # Specifies from which version should the depth parameter to default to zero
-schema.version.depth.start=v9
+schema.version.depth.start=v10
 # Specifies from which version should the related link be displayed in response payload
 schema.version.related.link.start=v10
 # Specifies from which version should the client see only the uri excluding host info
 # Before this version server base will also be included
 schema.version.app.root.start=v11
 # Specifies from which version should the namespace be changed
-schema.version.namespace.change.start=v12
+schema.version.namespace.change.start=v11
 # Specifies from which version should the client start seeing the edge label in payload
 schema.version.edge.label.start=v12
 # Specifies the version that the application should default to
-schema.version.api.default=v14
+schema.version.api.default=v15
 
+###############################################################################
+# Schema Location Related Attributes
+###############################################################################
 # Schema Location Related Attributes
 schema.configuration.location=NA
 schema.nodes.location=/opt/app/crud-api/bundleconfig/etc/onap/oxm
 schema.edges.location=/opt/app/crud-api/bundleconfig/etc/onap/dbedgerules
+
+###############################################################################
+# Schema Service Related Attributes
+###############################################################################
+# Specifies whether to use the schema service or local schema files
+schema.translator.list=config
+
+schema.service.base.url=https://<host>:8452/aai/schema-service/v1/
+schema.service.nodes.endpoint=nodes?version=
+schema.service.edges.endpoint=edgerules?version=
+schema.service.versions.endpoint=versions
+
+#Default rest client is the two-way-ssl
+schema.service.client=two-way-ssl
+#Replace the below with the A&AI client key store
+schema.service.ssl.key-store=${CONFIG_HOME}/auth/client-cert.p12
+#Replace the below with the A&AI tomcat trust store
+schema.service.ssl.trust-store=${CONFIG_HOME}/auth/tomcat_keystore
\ No newline at end of file
index 3a1d6e6..cac8f4b 100644 (file)
@@ -70,6 +70,17 @@ spec:
               "visualRange": "1",
               "path": "/aai/v13/cloud-infrastructure"
           },
+          {
+              "serviceName": "_aai-cloudInfrastructure",
+              "version": "v14",
+              "url": "/aai/v14/cloud-infrastructure",
+              "protocol": "REST",
+              "port": "8447",
+              "enable_ssl": true,
+              "lb_policy":"ip_hash",
+              "visualRange": "1",
+              "path": "/aai/v14/cloud-infrastructure"
+          },
           {
               "serviceName": "_aai-business",
               "version": "v11",
@@ -103,6 +114,17 @@ spec:
               "visualRange": "1",
               "path": "/aai/v13/business"
           },
+          {
+              "serviceName": "_aai-business",
+              "version": "v14",
+              "url": "/aai/v14/business",
+              "protocol": "REST",
+              "port": "8447",
+              "enable_ssl": true,
+              "lb_policy":"ip_hash",
+              "visualRange": "1",
+              "path": "/aai/v14/business"
+          },
           {
               "serviceName": "_aai-actions",
               "version": "v11",
@@ -136,6 +158,17 @@ spec:
               "visualRange": "1",
               "path": "/aai/v13/actions"
           },
+          {
+              "serviceName": "_aai-actions",
+              "version": "v14",
+              "url": "/aai/v14/actions",
+              "protocol": "REST",
+              "port": "8447",
+              "enable_ssl": true,
+              "lb_policy":"ip_hash",
+              "visualRange": "1",
+              "path": "/aai/v14/actions"
+          },
           {
               "serviceName": "_aai-service-design-and-creation",
               "version": "v11",
@@ -169,6 +202,17 @@ spec:
               "visualRange": "1",
               "path": "/aai/v13/service-design-and-creation"
           },
+          {
+              "serviceName": "_aai-service-design-and-creation",
+              "version": "v14",
+              "url": "/aai/v14/service-design-and-creation",
+              "protocol": "REST",
+              "port": "8447",
+              "enable_ssl": true,
+              "lb_policy":"ip_hash",
+              "visualRange": "1",
+              "path": "/aai/v14/service-design-and-creation"
+          },
           {
               "serviceName": "_aai-network",
               "version": "v11",
@@ -202,6 +246,17 @@ spec:
               "visualRange": "1",
               "path": "/aai/v13/network"
           },
+          {
+              "serviceName": "_aai-network",
+              "version": "v14",
+              "url": "/aai/v14/network",
+              "protocol": "REST",
+              "port": "8447",
+              "enable_ssl": true,
+              "lb_policy":"ip_hash",
+              "visualRange": "1",
+              "path": "/aai/v14/network"
+          },
           {
               "serviceName": "_aai-externalSystem",
               "version": "v11",
@@ -212,7 +267,7 @@ spec:
               "lb_policy":"ip_hash",
               "visualRange": "1",
               "path": "/aai/v11/external-system"
-          },      
+          },
           {
               "serviceName": "_aai-externalSystem",
               "version": "v12",
@@ -223,7 +278,7 @@ spec:
               "lb_policy":"ip_hash",
               "visualRange": "1",
               "path": "/aai/v12/external-system"
-          },      
+          },
           {
               "serviceName": "_aai-externalSystem",
               "version": "v13",
@@ -235,6 +290,17 @@ spec:
               "visualRange": "1",
               "path": "/aai/v13/external-system"
           },
+          {
+              "serviceName": "_aai-externalSystem",
+              "version": "v14",
+              "url": "/aai/v14/external-system",
+              "protocol": "REST",
+              "port": "8447",
+              "enable_ssl": true,
+              "lb_policy":"ip_hash",
+              "visualRange": "1",
+              "path": "/aai/v14/external-system"
+          },
           {
               "serviceName": "aai-cloudInfrastructure",
               "version": "v11",
@@ -265,6 +331,16 @@ spec:
               "lb_policy":"ip_hash",
               "visualRange": "1"
           },
+          {
+              "serviceName": "aai-cloudInfrastructure",
+              "version": "v14",
+              "url": "/aai/v14/cloud-infrastructure",
+              "protocol": "REST",
+              "port": "8447",
+              "enable_ssl": true,
+              "lb_policy":"ip_hash",
+              "visualRange": "1"
+          },
           {
               "serviceName": "aai-business",
               "version": "v11",
@@ -295,6 +371,16 @@ spec:
               "lb_policy":"ip_hash",
               "visualRange": "1"
           },
+          {
+              "serviceName": "aai-business",
+              "version": "v14",
+              "url": "/aai/v14/business",
+              "protocol": "REST",
+              "port": "8447",
+              "enable_ssl": true,
+              "lb_policy":"ip_hash",
+              "visualRange": "1"
+          },
           {
               "serviceName": "aai-actions",
               "version": "v11",
@@ -325,6 +411,16 @@ spec:
               "lb_policy":"ip_hash",
               "visualRange": "1"
           },
+          {
+              "serviceName": "aai-actions",
+              "version": "v14",
+              "url": "/aai/v14/actions",
+              "protocol": "REST",
+              "port": "8447",
+              "enable_ssl": true,
+              "lb_policy":"ip_hash",
+              "visualRange": "1"
+          },
           {
               "serviceName": "aai-service-design-and-creation",
               "version": "v11",
@@ -355,6 +451,16 @@ spec:
               "lb_policy":"ip_hash",
               "visualRange": "1"
           },
+          {
+              "serviceName": "aai-service-design-and-creation",
+              "version": "v14",
+              "url": "/aai/v14/service-design-and-creation",
+              "protocol": "REST",
+              "port": "8447",
+              "enable_ssl": true,
+              "lb_policy":"ip_hash",
+              "visualRange": "1"
+          },
           {
               "serviceName": "aai-network",
               "version": "v11",
@@ -385,6 +491,16 @@ spec:
               "lb_policy":"ip_hash",
               "visualRange": "1"
           },
+          {
+              "serviceName": "aai-network",
+              "version": "v14",
+              "url": "/aai/v14/network",
+              "protocol": "REST",
+              "port": "8447",
+              "enable_ssl": true,
+              "lb_policy":"ip_hash",
+              "visualRange": "1"
+          },
           {
               "serviceName": "aai-externalSystem",
               "version": "v11",
@@ -394,7 +510,7 @@ spec:
               "enable_ssl": true,
               "lb_policy":"ip_hash",
               "visualRange": "1"
-          },      
+          },
           {
               "serviceName": "aai-externalSystem",
               "version": "v12",
@@ -404,7 +520,7 @@ spec:
               "enable_ssl": true,
               "lb_policy":"ip_hash",
               "visualRange": "1"
-          },      
+          },
           {
               "serviceName": "aai-externalSystem",
               "version": "v13",
@@ -414,6 +530,16 @@ spec:
               "enable_ssl": true,
               "lb_policy":"ip_hash",
               "visualRange": "1"
+          },
+          {
+              "serviceName": "aai-externalSystem",
+              "version": "v14",
+              "url": "/aai/v14/external-system",
+              "protocol": "REST",
+              "port": "8447",
+              "enable_ssl": true,
+              "lb_policy":"ip_hash",
+              "visualRange": "1"
           }
           ]'
     spec:
diff --git a/kubernetes/aai/charts/aai-spike/resources/config/auth/client-cert.p12 b/kubernetes/aai/charts/aai-spike/resources/config/auth/client-cert.p12
new file mode 100644 (file)
index 0000000..d9fe86e
Binary files /dev/null and b/kubernetes/aai/charts/aai-spike/resources/config/auth/client-cert.p12 differ
diff --git a/kubernetes/aai/charts/aai-spike/resources/config/model/edge_props/edge_properties_v15.json b/kubernetes/aai/charts/aai-spike/resources/config/model/edge_props/edge_properties_v15.json
new file mode 100644 (file)
index 0000000..8d00636
--- /dev/null
@@ -0,0 +1,6 @@
+{
+        "contains-other-v": "java.lang.String",
+        "delete-other-v": "java.lang.String",
+        "SVC-INFRA": "java.lang.String",
+        "prevent-delete": "java.lang.String"
+}
\ No newline at end of file
index 7cec524..1569761 100644 (file)
 #######################################
 # Schema Version Related Attributes
 #######################################
-
 schema.uri.base.path=/aai
 # Lists all of the versions in the schema
-schema.version.list=v8,v9,v10,v11,v12,v13,v14
+schema.version.list=v10,v11,v12,v13,v14,v15
 # Specifies from which version should the depth parameter to default to zero
-schema.version.depth.start=v9
+schema.version.depth.start=v10
 # Specifies from which version should the related link be displayed in response payload
 schema.version.related.link.start=v10
 # Specifies from which version should the client see only the uri excluding host info
 # Before this version server base will also be included
 schema.version.app.root.start=v11
 # Specifies from which version should the namespace be changed
-schema.version.namespace.change.start=v12
+schema.version.namespace.change.start=v11
 # Specifies from which version should the client start seeing the edge label in payload
 schema.version.edge.label.start=v12
 # Specifies the version that the application should default to
-schema.version.api.default=v14
+schema.version.api.default=v15
 
 #######################################
 # Schema Location Related Attributes
 #######################################
-
 schema.configuration.location=NA
 schema.nodes.location=/opt/app/spike/bundleconfig/etc/onap/oxm
 schema.edges.location=/opt/app/spike/bundleconfig/etc/onap/dbedgerules
+
+###############################################################################
+# Schema Service Related Attributes
+###############################################################################
+# Specifies whether to use the schema service (schema-service) or local schema files (config)
+schema.translator.list=config
+
+schema.service.base.url=https://<host>:8452/aai/schema-service/v1/
+schema.service.nodes.endpoint=nodes?version=
+schema.service.edges.endpoint=edgerules?version=
+schema.service.versions.endpoint=versions
+
+#Default rest client is the two-way-ssl
+schema.service.client=two-way-ssl
+#Replace the below with the A&AI client key store
+schema.service.ssl.key-store=${CONFIG_HOME}/auth/client-cert.p12
+#Replace the below with the A&AI tomcat trust store
+schema.service.ssl.trust-store=${CONFIG_HOME}/auth/tomcat_keystore
index 19f21d3..3785de0 100644 (file)
@@ -70,6 +70,17 @@ spec:
               "visualRange": "1",
               "path": "/aai/v13/search/generic-query"
           },
+          {
+              "serviceName": "_aai-generic-query",
+              "version": "v14",
+              "url": "/aai/v14/search/generic-query",
+              "protocol": "REST",
+              "port": "8446",
+              "enable_ssl": true,
+              "lb_policy":"ip_hash",
+              "visualRange": "1",
+              "path": "/aai/v14/search/generic-query"
+          },
           {
               "serviceName": "_aai-nodes-query",
               "version": "v11",
@@ -103,6 +114,17 @@ spec:
               "visualRange": "1",
               "path": "/aai/v13/search/nodes-query"
           },
+          {
+              "serviceName": "_aai-nodes-query",
+              "version": "v14",
+              "url": "/aai/v14/search/nodes-query",
+              "protocol": "REST",
+              "port": "8446",
+              "enable_ssl": true,
+              "lb_policy":"ip_hash",
+              "visualRange": "1",
+              "path": "/aai/v14/search/nodes-query"
+          },
           {
               "serviceName": "_aai-query",
               "version": "v11",
@@ -136,6 +158,17 @@ spec:
               "visualRange": "1",
               "path": "/aai/v13/query"
           },
+          {
+              "serviceName": "_aai-query",
+              "version": "v14",
+              "url": "/aai/v14/query",
+              "protocol": "REST",
+              "port": "8446",
+              "enable_ssl": true,
+              "lb_policy":"ip_hash",
+              "visualRange": "1",
+              "path": "/aai/v14/query"
+          },
           {
               "serviceName": "_aai-named-query",
               "url": "/aai/search",
@@ -176,6 +209,16 @@ spec:
               "lb_policy":"ip_hash",
               "visualRange": "1"
           },
+          {
+              "serviceName": "aai-generic-query",
+              "version": "v14",
+              "url": "/aai/v14/search/generic-query",
+              "protocol": "REST",
+              "port": "8446",
+              "enable_ssl": true,
+              "lb_policy":"ip_hash",
+              "visualRange": "1"
+          },
           {
               "serviceName": "aai-nodes-query",
               "version": "v11",
@@ -206,6 +249,16 @@ spec:
               "lb_policy":"ip_hash",
               "visualRange": "1"
           },
+          {
+              "serviceName": "aai-nodes-query",
+              "version": "v14",
+              "url": "/aai/v14/search/nodes-query",
+              "protocol": "REST",
+              "port": "8446",
+              "enable_ssl": true,
+              "lb_policy":"ip_hash",
+              "visualRange": "1"
+          },
           {
               "serviceName": "aai-query",
               "version": "v11",
@@ -236,6 +289,16 @@ spec:
               "lb_policy":"ip_hash",
               "visualRange": "1"
           },
+          {
+              "serviceName": "aai-query",
+              "version": "v14",
+              "url": "/aai/v14/query",
+              "protocol": "REST",
+              "port": "8446",
+              "enable_ssl": true,
+              "lb_policy":"ip_hash",
+              "visualRange": "1"
+          },
           {
               "serviceName": "aai-named-query",
               "url": "/aai/search",
diff --git a/kubernetes/pomba/charts/pomba-contextaggregator/resources/config/logback.xml b/kubernetes/pomba/charts/pomba-contextaggregator/resources/config/logback.xml
new file mode 100644 (file)
index 0000000..0a4b616
--- /dev/null
@@ -0,0 +1,31 @@
+<configuration >
+    <property name="p_tim" value="%d{&quot;yyyy-MM-dd'T'HH:mm:ss.SSSXXX&quot;, UTC}"/>
+    <property name="p_lvl" value="%level"/>
+    <property name="p_log" value="%logger"/>
+    <property name="p_mdc" value="%replace(%replace(%mdc){'\t','\\\\t'}){'\n', '\\\\n'}"/>
+    <property name="p_msg" value="%replace(%replace(%msg){'\t', '\\\\t'}){'\n','\\\\n'}"/>
+    <property name="p_exc" value="%replace(%replace(%rootException){'\t', '\\\\t'}){'\n','\\\\n'}"/>
+    <!-- tabs -->
+    <property name="p_mak" value="%replace(%replace(%marker){'\t', '\\\\t'}){'\n','\\\\n'}"/>
+    <property name="p_thr" value="%thread"/>
+    <property name="pattern" value="%nopexception${p_tim}\t${p_thr}\t${p_lvl}\t${p_log}\t${p_mdc}\t${p_msg}\t${p_exc}\t${p_mak}\t%n"/>
+    <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
+        <encoder>
+            <pattern>${pattern}</pattern>
+        </encoder>
+    </appender>
+    <appender name="FILE" class="ch.qos.logback.core.FileAppender">
+        <file>/opt/app/logs/EELF/output.log</file>
+        <encoder>
+            <pattern>${pattern}</pattern>
+        </encoder>
+    </appender>
+    <logger level="INFO" name="org.onap.logging.ref.slf4j" additivity="false">
+        <appender-ref ref="STDOUT" />
+        <appender-ref ref="FILE" />
+    </logger>
+    <root level="info">
+        <appender-ref ref="STDOUT" />
+        <appender-ref ref="FILE" />
+    </root>
+</configuration>
index d5ce98e..b984c52 100755 (executable)
@@ -34,4 +34,12 @@ metadata:
   name: {{ include "common.fullname" . }}-pre-start-configmap
   namespace: {{ include "common.namespace" . }}
 data:
-{{ tpl (.Files.Glob "resources/bin/*").AsConfig . | indent 2 }}
\ No newline at end of file
+{{ tpl (.Files.Glob "resources/bin/*").AsConfig . | indent 2 }}
+---
+apiVersion: v1
+kind: ConfigMap
+metadata:
+  name: {{ include "common.fullname" . }}-log
+  namespace: {{ include "common.namespace" . }}
+data:
+{{ tpl (.Files.Glob "resources/config/logback.xml").AsConfig . | indent 2 }}
\ No newline at end of file
index 52a28d0..33e82ea 100755 (executable)
@@ -82,6 +82,16 @@ spec:
             name: {{ include "common.fullname" . }}-pre-start
             subPath: pre_start.sh
             readOnly: false
+          - name: {{ include "common.fullname" . }}-logs
+            mountPath: /opt/app/logs
+            readOnly: false
+          - mountPath: /opt/app/config/logback.xml
+            name: {{ include "common.fullname" . }}-log-conf
+            subPath: logback.xml
+          - name: {{ include "common.fullname" . }}-logs-eelf
+            mountPath: /opt/app/logs/EELF
+            readOnly: false
+
           resources:
 {{ include "common.resources" . | indent 12 }}
         {{- if .Values.nodeSelector }}
@@ -106,5 +116,12 @@ spec:
           configMap:
             name: {{ include "common.fullname" . }}-pre-start-configmap
             defaultMode: 0777
+        - name:  {{ include "common.fullname" . }}-logs
+          emptyDir: {}
+        - name: {{ include "common.fullname" . }}-log-conf
+          configMap:
+            name: {{ include "common.fullname" . }}-log
+        - name:  {{ include "common.fullname" . }}-logs-eelf
+          emptyDir: {}
       imagePullSecrets:
       - name: "{{ include "common.namespace" . }}-docker-registry-key"
index cccba6b..a5aeb71 100644 (file)
 # limitations under the License
 
 spring.jersey.type=filter
-spring.mvc.urls=swagger,docs,prometheus,auditevents,info,heapdump,autoconfig,beans,loggers,dump,env,trace,health,configprops,mappings,metrics,webjars
-
-
-server.contextPath=/network-discovery
-spring.autoconfigure.exclude=org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration,org.springframework.boot.autoconfigure.orm.jpa.HibernateJpaAutoConfiguration
-
-#This property is used to set the Tomcat connector attributes.developers can define multiple attributes separated by comma
-#tomcat.connector.attributes=allowTrace-true
-#The max number of active threads in this pool
-server.tomcat.max-threads=200
-#The minimum number of threads always kept alive
-server.tomcat.min-Spare-Threads=25
-#The number of milliseconds before an idle thread shutsdown, unless the number of active threads are less or equal to minSpareThreads
-server.tomcat.max-idle-time=60000
-
-#Servlet context parameters
-server.context_parameters.p-name=value #context parameter with p-name as key and value as value.
 
 #Enable HTTPS
 server.port={{ .Values.config.serverSslPort }}
diff --git a/kubernetes/pomba/charts/pomba-sdcctxbuilder/resources/config/logback.xml b/kubernetes/pomba/charts/pomba-sdcctxbuilder/resources/config/logback.xml
new file mode 100644 (file)
index 0000000..0a4b616
--- /dev/null
@@ -0,0 +1,31 @@
+<configuration >
+    <property name="p_tim" value="%d{&quot;yyyy-MM-dd'T'HH:mm:ss.SSSXXX&quot;, UTC}"/>
+    <property name="p_lvl" value="%level"/>
+    <property name="p_log" value="%logger"/>
+    <property name="p_mdc" value="%replace(%replace(%mdc){'\t','\\\\t'}){'\n', '\\\\n'}"/>
+    <property name="p_msg" value="%replace(%replace(%msg){'\t', '\\\\t'}){'\n','\\\\n'}"/>
+    <property name="p_exc" value="%replace(%replace(%rootException){'\t', '\\\\t'}){'\n','\\\\n'}"/>
+    <!-- tabs -->
+    <property name="p_mak" value="%replace(%replace(%marker){'\t', '\\\\t'}){'\n','\\\\n'}"/>
+    <property name="p_thr" value="%thread"/>
+    <property name="pattern" value="%nopexception${p_tim}\t${p_thr}\t${p_lvl}\t${p_log}\t${p_mdc}\t${p_msg}\t${p_exc}\t${p_mak}\t%n"/>
+    <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
+        <encoder>
+            <pattern>${pattern}</pattern>
+        </encoder>
+    </appender>
+    <appender name="FILE" class="ch.qos.logback.core.FileAppender">
+        <file>/opt/app/logs/EELF/output.log</file>
+        <encoder>
+            <pattern>${pattern}</pattern>
+        </encoder>
+    </appender>
+    <logger level="INFO" name="org.onap.logging.ref.slf4j" additivity="false">
+        <appender-ref ref="STDOUT" />
+        <appender-ref ref="FILE" />
+    </logger>
+    <root level="info">
+        <appender-ref ref="STDOUT" />
+        <appender-ref ref="FILE" />
+    </root>
+</configuration>
index 3d46e72..bae6641 100644 (file)
@@ -19,3 +19,11 @@ metadata:
   namespace: {{ include "common.namespace" . }}
 data:
 {{ tpl (.Files.Glob "resources/config/application.properties").AsConfig . | indent 2 }}
+---
+apiVersion: v1
+kind: ConfigMap
+metadata:
+  name: {{ include "common.fullname" . }}-log
+  namespace: {{ include "common.namespace" . }}
+data:
+{{ tpl (.Files.Glob "resources/config/logback.xml").AsConfig . | indent 2 }}
\ No newline at end of file
index f2c7ec7..6ae5ee3 100644 (file)
@@ -59,6 +59,15 @@ spec:
             name: {{ include "common.fullname" . }}-config
             subPath: application.properties
             readOnly: true
+          - name: {{ include "common.fullname" . }}-logs
+            mountPath: /opt/app/logs
+            readOnly: false
+          - mountPath: /opt/app/config/logback.xml
+            name: {{ include "common.fullname" . }}-log-conf
+            subPath: logback.xml
+          - name: {{ include "common.fullname" . }}-logs-eelf
+            mountPath: /opt/app/logs/EELF
+            readOnly: false
           resources:
 {{ include "common.resources" . | indent 12 }}
         {{- if .Values.nodeSelector }}
@@ -77,5 +86,12 @@ spec:
         - name: {{ include "common.fullname" . }}-config
           configMap:
             name: {{ include "common.fullname" . }}-configmap
+        - name:  {{ include "common.fullname" . }}-logs
+          emptyDir: {}
+        - name: {{ include "common.fullname" . }}-log-conf
+          configMap:
+            name: {{ include "common.fullname" . }}-log
+        - name:  {{ include "common.fullname" . }}-logs-eelf
+          emptyDir: {}
       imagePullSecrets:
       - name: "{{ include "common.namespace" . }}-docker-registry-key"
index 519cf24..0a4b616 100644 (file)
-<configuration scan="true" scanPeriod="10 seconds" debug="false">
-    <jmxConfigurator />
-    <property name="logDirectory" value="/var/log/onap/pomba-sdncctxbuilder" />
-    <!-- Example evaluator filter applied against console appender -->
+<configuration >
+    <property name="p_tim" value="%d{&quot;yyyy-MM-dd'T'HH:mm:ss.SSSXXX&quot;, UTC}"/>
+    <property name="p_lvl" value="%level"/>
+    <property name="p_log" value="%logger"/>
+    <property name="p_mdc" value="%replace(%replace(%mdc){'\t','\\\\t'}){'\n', '\\\\n'}"/>
+    <property name="p_msg" value="%replace(%replace(%msg){'\t', '\\\\t'}){'\n','\\\\n'}"/>
+    <property name="p_exc" value="%replace(%replace(%rootException){'\t', '\\\\t'}){'\n','\\\\n'}"/>
+    <!-- tabs -->
+    <property name="p_mak" value="%replace(%replace(%marker){'\t', '\\\\t'}){'\n','\\\\n'}"/>
+    <property name="p_thr" value="%thread"/>
+    <property name="pattern" value="%nopexception${p_tim}\t${p_thr}\t${p_lvl}\t${p_log}\t${p_mdc}\t${p_msg}\t${p_exc}\t${p_mak}\t%n"/>
     <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
-        <!-- filter class="ch.qos.logback.classic.filter.LevelFilter"> <level>ERROR</level>
-            <onMatch>ACCEPT</onMatch> <onMismatch>DENY</onMismatch> </filter -->
-        <!-- deny all events with a level below INFO, that is TRACE and DEBUG -->
-        <filter class="ch.qos.logback.classic.filter.ThresholdFilter">
-            <level>INFO</level>
-        </filter>
         <encoder>
-            <pattern>%d{HH:mm:ss.SSS} [%thread] %-5level %logger{1024} - %msg%n
-            </pattern>
+            <pattern>${pattern}</pattern>
         </encoder>
     </appender>
-
-    <appender name="ERROR"
-        class="ch.qos.logback.core.rolling.RollingFileAppender">
-        <filter class="ch.qos.logback.classic.filter.ThresholdFilter">
-            <level>INFO</level>
-        </filter>
-        <file>${logDirectory}/error.log</file>
-        <append>true</append>
+    <appender name="FILE" class="ch.qos.logback.core.FileAppender">
+        <file>/opt/app/logs/EELF/output.log</file>
         <encoder>
-            <pattern>%date{"yyyy-MM-dd'T'HH:mm:ss,SSSXXX", UTC}|%X{RequestId}|%.20thread|%X{ServiceName}|%X{PartnerName}|%X{TargetEntity}|%X{TargetServiceName}|%.-5level|%X{ErrorCode}|%X{ErrorDescription}|%msg%n</pattern>
+            <pattern>${pattern}</pattern>
         </encoder>
-        <rollingPolicy
-            class="ch.qos.logback.core.rolling.FixedWindowRollingPolicy">
-            <maxIndex>10</maxIndex>
-            <FileNamePattern>${logDirectory}/error.%i.log.zip
-            </FileNamePattern>
-        </rollingPolicy>
-        <triggeringPolicy
-            class="ch.qos.logback.core.rolling.SizeBasedTriggeringPolicy">
-            <maxFileSize>10MB</maxFileSize>
-        </triggeringPolicy>
     </appender>
-
-    <appender name="DEBUG"
-        class="ch.qos.logback.core.rolling.RollingFileAppender">
-        <file>${logDirectory}/debug.log</file>
-        <append>true</append>
-        <encoder>
-            <pattern>%date{"yyyy-MM-dd'T'HH:mm:ss,SSSXXX",UTC}|%X{RequestId}|%.20thread|%.-5level|%logger{36}|%msg%n</pattern>
-        </encoder>
-        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
-          <fileNamePattern>${logDirectory}/debug.%d{yyyy-MM-dd}.%i.log.zip</fileNamePattern>
-          <timeBasedFileNamingAndTriggeringPolicy class="ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP">
-            <maxFileSize>10MB</maxFileSize>
-          </timeBasedFileNamingAndTriggeringPolicy>
-          <maxHistory>5</maxHistory>
-        </rollingPolicy>
-    </appender>
-
-    <appender name="AUDIT"
-        class="ch.qos.logback.core.rolling.RollingFileAppender">
-        <file>${logDirectory}/audit.log</file>
-        <append>true</append>
-        <encoder>
-            <pattern>%X{BeginTimestamp}|%X{EndTimestamp}|%X{RequestId}|%X{ServiceInstanceId}|%.20thread|%X{VirtualServerName}|%X{ServiceName}|%X{PartnerName}|%X{StatusCode}|%X{ResponseCode}|%X{ResponseDescription}|%X{InstanceUUID}|%.-5level|%X{AlertSeverity}|%X{ServerIPAddress}|%X{ElapsedTime}|%X{ServerFQDN}|%X{RemoteHost}|%X{ClassName}|%X{Unused}|%X{ProcessKey}|%X{CustomField1}|%X{CustomField2}|%X{CustomField3}|%X{CustomField4}|%msg%n
-            </pattern>
-        </encoder>
-        <rollingPolicy
-            class="ch.qos.logback.core.rolling.FixedWindowRollingPolicy">
-            <maxIndex>10</maxIndex>
-            <FileNamePattern>${logDirectory}/audit.%i.log.zip
-            </FileNamePattern>
-        </rollingPolicy>
-        <triggeringPolicy
-            class="ch.qos.logback.core.rolling.SizeBasedTriggeringPolicy">
-            <maxFileSize>10MB</maxFileSize>
-        </triggeringPolicy>
-    </appender>
-    <appender name="asyncEELFAudit" class="ch.qos.logback.classic.AsyncAppender">
-        <queueSize>256</queueSize>
-        <appender-ref ref="AUDIT" />
-    </appender>
-
-    <appender name="METRIC"
-        class="ch.qos.logback.core.rolling.RollingFileAppender">
-        <file>${logDirectory}/metric.log</file>
-        <append>true</append>
-        <encoder>
-            <pattern>%X{BeginTimestamp}|%X{EndTimestamp}|%X{RequestId}|%X{ServiceInstanceId}|%.20thread|%X{VirtualServerName}|%X{ServiceName}|%X{PartnerName}|%X{TargetEntity}|%X{TargetServiceName}|%X{StatusCode}|%X{ResponseCode}|%X{ResponseDescription}|%X{InstanceUUID}|%.-5level|%X{AlertSeverity}|%X{ServerIPAddress}|%X{ElapsedTime}|%X{ServerFQDN}|%X{RemoteHost}|%X{ClassName}|%X{Unused}|%X{ProcessKey}|%X{TargetVirtualEntity}|%X{CustomField1}|%X{CustomField2}|%X{CustomField3}|%X{CustomField4}|
-                %msg%n</pattern>
-        </encoder>
-        <rollingPolicy
-            class="ch.qos.logback.core.rolling.FixedWindowRollingPolicy">
-            <maxIndex>10</maxIndex>
-            <FileNamePattern>${logDirectory}/metric.%i.log.zip
-            </FileNamePattern>
-        </rollingPolicy>
-        <triggeringPolicy
-            class="ch.qos.logback.core.rolling.SizeBasedTriggeringPolicy">
-            <maxFileSize>10MB</maxFileSize>
-        </triggeringPolicy>
-    </appender>
-    <appender name="asyncEELFMetrics" class="ch.qos.logback.classic.AsyncAppender">
-        <queueSize>256</queueSize>
-        <appender-ref ref="METRIC" />
-    </appender>
-
-    <!-- SECURITY related loggers -->
-    <appender name="SECURITY"
-        class="ch.qos.logback.core.rolling.RollingFileAppender">
-        <file>${logDirectory}/security.log</file>
-        <append>true</append>
-        <encoder>
-            <pattern>%X{BeginTimestamp}|%X{EndTimestamp}|%X{RequestId}|%X{ServiceInstanceId}|%.20thread|%X{VirtualServerName}|%X{ServiceName}|%X{PartnerName}|%X{StatusCode}|%X{ResponseCode}|%X{ResponseDescription}|%X{InstanceUUID}|%.-5level|%X{AlertSeverity}|%X{ServerIPAddress}|%X{ElapsedTime}|%X{ServerFQDN}|%X{RemoteHost}|%X{ClassName}|%X{Unused}|%X{ProcessKey}|%X{CustomField1}|%X{CustomField2}|%X{CustomField3}|%X{CustomField4}|%msg%n
-            </pattern>
-        </encoder>
-        <rollingPolicy
-            class="ch.qos.logback.core.rolling.FixedWindowRollingPolicy">
-            <maxIndex>10</maxIndex>
-            <FileNamePattern>${logDirectory}/security.%i.log.zip
-            </FileNamePattern>
-        </rollingPolicy>
-        <triggeringPolicy
-            class="ch.qos.logback.core.rolling.SizeBasedTriggeringPolicy">
-            <maxFileSize>10MB</maxFileSize>
-        </triggeringPolicy>
-    </appender>
-    <appender name="asyncEELFSecurity" class="ch.qos.logback.classic.AsyncAppender">
-        <queueSize>256</queueSize>
-        <appender-ref ref="SECURITY" />
-    </appender>
-
-    <!-- CLDS related loggers -->
-    <logger name="org.onap.pomba.clds" level="INFO" additivity="true">
-        <appender-ref ref="ERROR" />
-    </logger>
-
-    <!-- CLDS related loggers -->
-    <logger name="com.att.eelf.error" level="OFF" additivity="true">
-        <appender-ref ref="ERROR" />
-    </logger>
-    <!-- EELF related loggers -->
-    <logger name="com.att.eelf.audit" level="INFO" additivity="false">
-        <appender-ref ref="asyncEELFAudit" />
-    </logger>
-    <logger name="com.att.eelf.metrics" level="DEBUG" additivity="false">
-        <appender-ref ref="asyncEELFMetrics" />
-    </logger>
-    <logger name="com.att.eelf.security" level="DEBUG" additivity="false">
-        <appender-ref ref="asyncEELFSecurity" />
-    </logger>
-
-
-    <!-- Spring related loggers -->
-    <logger name="org.springframework" level="WARN" />
-    <logger name="org.springframework.beans" level="WARN" />
-    <logger name="org.springframework.web" level="WARN" />
-    <logger name="com.blog.spring.jms" level="WARN" />
-
-    <!-- Other Loggers that may help troubleshoot -->
-    <logger name="net.sf" level="WARN" />
-    <logger name="org.apache.commons.httpclient" level="WARN" />
-    <logger name="org.apache.commons" level="WARN" />
-    <logger name="org.apache.coyote" level="WARN" />
-    <logger name="org.apache.jasper" level="WARN" />
-
-    <!-- Camel Related Loggers (including restlet/servlet/jaxrs/cxf logging.
-        May aid in troubleshooting) -->
-    <logger name="org.apache.camel" level="WARN" />
-    <logger name="org.apache.cxf" level="WARN" />
-    <logger name="org.apache.camel.processor.interceptor" level="WARN" />
-    <logger name="org.apache.cxf.jaxrs.interceptor" level="WARN" />
-    <logger name="org.apache.cxf.service" level="WARN" />
-    <logger name="org.restlet" level="DEBUG" />
-    <logger name="org.apache.camel.component.restlet" level="DEBUG" />
-
-    <!-- logback internals logging -->
-    <logger name="ch.qos.logback.classic" level="INFO" />
-    <logger name="ch.qos.logback.core" level="INFO" />
-
-    <!-- logback jms appenders & loggers definition starts here -->
-    <!-- logback jms appenders & loggers definition starts here -->
-    <appender name="auditLogs"
-        class="ch.qos.logback.core.rolling.RollingFileAppender">
-        <filter class="ch.qos.logback.classic.filter.ThresholdFilter">
-        </filter>
-        <file>${logDirectory}/Audit.log</file>
-        <rollingPolicy
-            class="ch.qos.logback.core.rolling.FixedWindowRollingPolicy">
-            <fileNamePattern>${logDirectory}/Audit.%i.log.zip
-            </fileNamePattern>
-            <minIndex>1</minIndex>
-            <maxIndex>9</maxIndex>
-        </rollingPolicy>
-        <triggeringPolicy
-            class="ch.qos.logback.core.rolling.SizeBasedTriggeringPolicy">
-            <maxFileSize>5MB</maxFileSize>
-        </triggeringPolicy>
-        <encoder>
-            <pattern>"%d [%thread] %-5level %logger{1024} - %msg%n"</pattern>
-        </encoder>
-    </appender>
-    <appender name="perfLogs"
-        class="ch.qos.logback.core.rolling.RollingFileAppender">
-        <filter class="ch.qos.logback.classic.filter.ThresholdFilter">
-        </filter>
-        <file>${logDirectory}/Perform.log</file>
-        <rollingPolicy
-            class="ch.qos.logback.core.rolling.FixedWindowRollingPolicy">
-            <fileNamePattern>${logDirectory}/Perform.%i.log.zip
-            </fileNamePattern>
-            <minIndex>1</minIndex>
-            <maxIndex>9</maxIndex>
-        </rollingPolicy>
-        <triggeringPolicy
-            class="ch.qos.logback.core.rolling.SizeBasedTriggeringPolicy">
-            <maxFileSize>5MB</maxFileSize>
-        </triggeringPolicy>
-        <encoder>
-            <pattern>"%d [%thread] %-5level %logger{1024} - %msg%n"</pattern>
-        </encoder>
-    </appender>
-    <logger name="AuditRecord" level="INFO" additivity="FALSE">
-        <appender-ref ref="auditLogs" />
-    </logger>
-    <logger name="AuditRecord_DirectCall" level="INFO" additivity="FALSE">
-        <appender-ref ref="auditLogs" />
-    </logger>
-    <logger name="PerfTrackerRecord" level="INFO" additivity="FALSE">
-        <appender-ref ref="perfLogs" />
+    <logger level="INFO" name="org.onap.logging.ref.slf4j" additivity="false">
+        <appender-ref ref="STDOUT" />
+        <appender-ref ref="FILE" />
     </logger>
-    <!-- logback jms appenders & loggers definition ends here -->
-
-    <root level="WARN">
-        <appender-ref ref="DEBUG" />
+    <root level="info">
         <appender-ref ref="STDOUT" />
+        <appender-ref ref="FILE" />
     </root>
-
 </configuration>
index ca96dc6..bb5ed86 100644 (file)
@@ -56,15 +56,18 @@ spec:
             name: localtime
             readOnly: true
           - name: {{ include "common.fullname" . }}-logs
-            mountPath: /var/log/onap
+            mountPath: /opt/app/logs
+            readOnly: false
           - mountPath: /opt/app/config/logback.xml
             name: {{ include "common.fullname" . }}-log-conf
             subPath: logback.xml
+          - name: {{ include "common.fullname" . }}-logs-eelf
+            mountPath: /opt/app/logs/EELF
+            readOnly: false
           - mountPath: /opt/app/config/application.properties
             name: {{ include "common.fullname" . }}-config
             subPath: application.properties
             readOnly: true
-
           resources:
 {{ include "common.resources" . | indent 12 }}
         {{- if .Values.nodeSelector }}
@@ -87,7 +90,7 @@ spec:
           - name: {{ include "common.fullname" . }}-data-filebeat
             mountPath: /usr/share/filebeat/data
           - name: {{ include "common.fullname" . }}-logs
-            mountPath: /var/log/onap
+            mountPath: /opt/app/logs
 
       volumes:
         - name: localtime
@@ -106,6 +109,7 @@ spec:
           emptyDir: {}
         - name:  {{ include "common.fullname" . }}-logs
           emptyDir: {}
-
+        - name:  {{ include "common.fullname" . }}-logs-eelf
+          emptyDir: {}
       imagePullSecrets:
       - name: "{{ include "common.namespace" . }}-docker-registry-key"
diff --git a/kubernetes/pomba/charts/pomba-validation-service/resources/appconfig/rule-data-dictionary.properties b/kubernetes/pomba/charts/pomba-validation-service/resources/appconfig/rule-data-dictionary.properties
new file mode 100644 (file)
index 0000000..d93f030
--- /dev/null
@@ -0,0 +1,9 @@
+rule.datadictionary.hostport={{ .Values.config.dataDictHostPort }}
+rule.datadictionary.connect.timeout=1000
+rule.datadictionary.read.timeout=1000
+
+# basic authentication: base64 encoding of username:password
+rule.datadictionary.credentials={{ .Values.config.dataDictCredentials }}
+
+# ex: /commonModelElements/instance~nfValuesCatalog~1.0/
+rule.datadictionary.uri=/commonModelElements/{0}~{1}~1.0/validateInstance
index 1dc97da..fd2385a 100644 (file)
@@ -481,3 +481,36 @@ rule {
         return new Tuple2(result, details)
         '''
 }
+
+/*
+ * The data-dictionary rule below can be used with this useRule clause:
+ *   useRule {
+ *     name 'Data-Dictionary validate VF type'
+ *     attributes 'context-list.ndcb.vfList[*].vfModuleList[*].networkList[*].type'
+ *   }
+ */
+rule {
+    name        'Data-Dictionary validate VF type'
+    category    'INVALID_VALUE'
+    description 'Validate all VF type values against data-dictionary'
+    errorText   'VF type [{0}] failed data-dictionary validation: {1}'
+    severity    'ERROR'
+    attributes  'typeList'
+    validate    '''
+        boolean success = true
+        List<String> details = new ArrayList<>()
+        typeList.any {
+            if(!success) {
+                // break out of 'any' loop
+                return false
+            }
+            def result = org.onap.aai.validation.ruledriven.rule.builtin.DataDictionary.validate("instance", "vfModuleNetworkType", "type", "$it")
+            if(!result.isEmpty()) {
+                success = false
+                details.add("$it")
+                details.add("$result")
+            }
+        }
+        return new Tuple2(success, details)
+        '''
+}
index f802245..df62915 100644 (file)
@@ -104,6 +104,8 @@ spec:
               path: validation-service-auth.properties
             - key: rule-indexing.properties
               path: rule-indexing.properties
+            - key: rule-data-dictionary.properties
+              path: rule-data-dictionary.properties
             - key: aai-environment.properties
               path: aai-environment.properties
             - key: schemaIngest.properties
index bb513cf..2cb175a 100644 (file)
@@ -37,7 +37,6 @@ pullPolicy: IfNotPresent
 debugEnabled: false
 
 # application configuration
-# Example:
 config:
   appDir: /opt/app/validation-service
   configDir: /opt/app/validation-service/appconfig
@@ -45,8 +44,8 @@ config:
   configTopicsDir: /opt/app/validation-service/appconfig/topics
   rulesDir: /opt/app/validation-service/bundleconfig/etc/rules/poa-event
   maxHeap: 1024
-#  username: myusername
-#  password: mypassword
+  dataDictHostPort: http://dummy-host:443
+  dataDictCredentials: cG9tYmE6cG9tYmE=
 
 # default number of instances
 replicaCount: 1
diff --git a/kubernetes/portal/charts/portal-mariadb/resources/config/mariadb/docker-entrypoint.sh b/kubernetes/portal/charts/portal-mariadb/resources/config/mariadb/docker-entrypoint.sh
new file mode 100644 (file)
index 0000000..f00bf8b
--- /dev/null
@@ -0,0 +1,190 @@
+#!/bin/bash
+set -eo pipefail
+shopt -s nullglob
+
+# if command starts with an option, prepend mysqld
+if [ "${1:0:1}" = '-' ]; then
+        set -- mysqld "$@"
+fi
+
+# skip setup if they want an option that stops mysqld
+wantHelp=
+for arg; do
+        case "$arg" in
+                -'?'|--help|--print-defaults|-V|--version)
+                        wantHelp=1
+                        break
+                        ;;
+        esac
+done
+
+# usage: file_env VAR [DEFAULT]
+#    ie: file_env 'XYZ_DB_PASSWORD' 'example'
+# (will allow for "$XYZ_DB_PASSWORD_FILE" to fill in the value of
+#  "$XYZ_DB_PASSWORD" from a file, especially for Docker's secrets feature)
+file_env() {
+        local var="$1"
+        local fileVar="${var}_FILE"
+        local def="${2:-}"
+        if [ "${!var:-}" ] && [ "${!fileVar:-}" ]; then
+                echo >&2 "error: both $var and $fileVar are set (but are exclusive)"
+                exit 1
+        fi
+        local val="$def"
+        if [ "${!var:-}" ]; then
+                val="${!var}"
+        elif [ "${!fileVar:-}" ]; then
+                val="$(< "${!fileVar}")"
+        fi
+        export "$var"="$val"
+        unset "$fileVar"
+}
+
+_check_config() {
+        toRun=( "$@" --verbose --help --log-bin-index="$(mktemp -u)" )
+        if ! errors="$("${toRun[@]}" 2>&1 >/dev/null)"; then
+                cat >&2        <<-EOM
+
+                               ERROR: mysqld failed while attempting to check config
+                               command was: "${toRun[*]}"
+
+                               $errors
+                               EOM
+                exit 1
+        fi
+}
+
+# Fetch value from server config
+# We use mysqld --verbose --help instead of my_print_defaults because the
+# latter only show values present in config files, and not server defaults
+_get_config() {
+        local conf="$1"; shift
+        "$@" --verbose --help --log-bin-index="$(mktemp -u)" 2>/dev/null | awk '$1 == "'"$conf"'" { print $2; exit }'
+}
+
+# allow the container to be started with `--user`
+if [ "$1" = 'mysqld' -a -z "$wantHelp" -a "$(id -u)" = '0' ]; then
+        _check_config "$@"
+        DATADIR="$(_get_config 'datadir' "$@")"
+        mkdir -p "$DATADIR"
+        find "$DATADIR" \! -user mysql -exec chown mysql '{}' +
+        exec gosu mysql "$BASH_SOURCE" "$@"
+fi
+
+if [ "$1" = 'mysqld' -a -z "$wantHelp" ]; then
+        # still need to check config, container may have started with --user
+        _check_config "$@"
+        # Get config
+        DATADIR="$(_get_config 'datadir' "$@")"
+
+        if [ ! -d "$DATADIR/mysql" ]; then
+                file_env 'MYSQL_ROOT_PASSWORD'
+                if [ -z "$MYSQL_ROOT_PASSWORD" -a -z "$MYSQL_ALLOW_EMPTY_PASSWORD" -a -z "$MYSQL_RANDOM_ROOT_PASSWORD" ]; then
+                        echo >&2 'error: database is uninitialized and password option is not specified '
+                        echo >&2 '  You need to specify one of MYSQL_ROOT_PASSWORD, MYSQL_ALLOW_EMPTY_PASSWORD and MYSQL_RANDOM_ROOT_PASSWORD'
+                        exit 1
+                fi
+
+                mkdir -p "$DATADIR"
+
+                echo 'Initializing database'
+                # "Other options are passed to mysqld." (so we pass all "mysqld" arguments directly here)
+                mysql_install_db --datadir="$DATADIR" --rpm "${@:2}"
+                echo 'Database initialized'
+
+                SOCKET="$(_get_config 'socket' "$@")"
+                "$@" --skip-networking --socket="${SOCKET}" &
+                pid="$!"
+
+                mysql=( mysql --protocol=socket -uroot -hlocalhost --socket="${SOCKET}" )
+
+                for i in {60..0}; do
+                        if echo 'SELECT 1' | "${mysql[@]}" &> /dev/null; then
+                                break
+                        fi
+                        echo 'MySQL init process in progress...'
+                        sleep 1
+                done
+                if [ "$i" = 0 ]; then
+                        echo >&2 'MySQL init process failed.'
+                        exit 1
+                fi
+
+                if [ -z "$MYSQL_INITDB_SKIP_TZINFO" ]; then
+                        # sed is for https://bugs.mysql.com/bug.php?id=20545
+                        mysql_tzinfo_to_sql /usr/share/zoneinfo | sed 's/Local time zone must be set--see zic manual page/FCTY/' | "${mysql[@]}" mysql
+                fi
+
+                if [ ! -z "$MYSQL_RANDOM_ROOT_PASSWORD" ]; then
+                        export MYSQL_ROOT_PASSWORD="$(pwgen -1 32)"
+                        echo "GENERATED ROOT PASSWORD: $MYSQL_ROOT_PASSWORD"
+                fi
+
+                rootCreate=
+                # default root to listen for connections from anywhere
+                file_env 'MYSQL_ROOT_HOST' '%'
+                if [ ! -z "$MYSQL_ROOT_HOST" -a "$MYSQL_ROOT_HOST" != 'localhost' ]; then
+                        # no, we don't care if read finds a terminating character in this heredoc
+                        # https://unix.stackexchange.com/questions/265149/why-is-set-o-errexit-breaking-this-read-heredoc-expression/265151#265151
+                        read -r -d '' rootCreate       <<-EOSQL || true
+                                               CREATE USER 'root'@'${MYSQL_ROOT_HOST}' IDENTIFIED BY '${MYSQL_ROOT_PASSWORD}' ;
+                                               GRANT ALL ON *.* TO 'root'@'${MYSQL_ROOT_HOST}' WITH GRANT OPTION ;
+                                               EOSQL
+                fi
+
+                "${mysql[@]}"  <<-EOSQL
+                                               -- What's done in this file shouldn't be replicated
+                                               --  or products like mysql-fabric won't work
+                                               SET @@SESSION.SQL_LOG_BIN=0;
+
+                                               DELETE FROM mysql.user WHERE user NOT IN ('mysql.sys', 'mysqlxsys', 'root') OR host NOT IN ('localhost') ;
+                                               SET PASSWORD FOR 'root'@'localhost'=PASSWORD('${MYSQL_ROOT_PASSWORD}') ;
+                                               GRANT ALL ON *.* TO 'root'@'localhost' WITH GRANT OPTION ;
+                                               ${rootCreate}
+                                               DROP DATABASE IF EXISTS test ;
+                                               FLUSH PRIVILEGES ;
+                                       EOSQL
+
+                if [ ! -z "$MYSQL_ROOT_PASSWORD" ]; then
+                        mysql+=( -p"${MYSQL_ROOT_PASSWORD}" )
+                fi
+
+                file_env 'MYSQL_DATABASE'
+                if [ "$MYSQL_DATABASE" ]; then
+                        echo "CREATE DATABASE IF NOT EXISTS \`$MYSQL_DATABASE\` ;" | "${mysql[@]}"
+                        mysql+=( "$MYSQL_DATABASE" )
+                fi
+
+                file_env 'MYSQL_USER'
+                file_env 'MYSQL_PASSWORD'
+                if [ "$MYSQL_USER" -a "$MYSQL_PASSWORD" ]; then
+                        echo "CREATE USER '$MYSQL_USER'@'%' IDENTIFIED BY '$MYSQL_PASSWORD' ;" | "${mysql[@]}"
+
+                        if [ "$MYSQL_DATABASE" ]; then
+                                echo "GRANT ALL ON \`$MYSQL_DATABASE\`.* TO '$MYSQL_USER'@'%' ;" | "${mysql[@]}"
+                        fi
+                fi
+
+                echo
+                for f in /docker-entrypoint-initdb.d/*; do
+                        case "$f" in
+                                *.sh)     echo "$0: running $f"; . "$f" ;;
+                                *.sql)    echo "$0: running $f"; "${mysql[@]}" < "$f"; echo ;;
+                                *.sql.gz) echo "$0: running $f"; gunzip -c "$f" | "${mysql[@]}"; echo ;;
+                                *)        echo "$0: ignoring $f" ;;
+                        esac
+                        echo
+                done
+
+                if ! kill -s TERM "$pid" || ! wait "$pid"; then
+                        echo >&2 'MySQL init process failed.'
+                        exit 1
+                fi
+
+                echo
+                echo 'MySQL init process done. Ready for start up.'
+                echo
+        fi
+fi
+
+exec "$@"
\ No newline at end of file
index 20fa9ce..f826c9c 100644 (file)
@@ -65,6 +65,9 @@ spec:
           - mountPath: /etc/localtime
             name: localtime
             readOnly: true
+          - mountPath: /usr/local/bin/docker-entrypoint.sh
+            subPath: docker-entrypoint.sh
+            name: docker-entry
           resources:
 {{ include "common.resources" . | indent 12 }}
         {{- if .Values.nodeSelector }}
@@ -86,5 +89,9 @@ spec:
         - name: localtime
           hostPath:
             path: /etc/localtime
+        - name: docker-entry
+          configMap:
+            name: {{ include "common.fullname" . }}-mariadb
+            defaultMode: 0755
       imagePullSecrets:
       - name: "{{ include "common.namespace" . }}-docker-registry-key"